LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 02-27-2005, 01:22 PM   #1
tommygoober
LQ Newbie
 
Registered: Feb 2005
Distribution: Gentoo
Posts: 10

Rep: Reputation: 0
Uninstalling glib 2.6.0


Hi there


When trying to ./configure pygtk-2.5.4 i get this message.....

checking for GLIB - version >= 2.0.0...
*** 'pkg-config --modversion glib-2.0' returned 2.6.0, but GLIB 2.6.2
*** was found! If pkg-config was correct, then it is best
*** to remove the old version of GLib

I installed GLIB 2.6.0 in a similar fashion. Im new to linux and do not know how to uninstall programs yet. Can someone tell me how to unstall GLIB 2.6.0?

Thank you kindly
 
Old 02-27-2005, 02:42 PM   #2
__J
Senior Member
 
Registered: Dec 2004
Distribution: Slackware, ROCK
Posts: 1,973

Rep: Reputation: 46
did you keep the source directory around for glib-2.6.0? when you compile, you should be creating packages to install for easier upgrade/removal ( and rpm will know the package exist on your system). If you didn't keep the source directory, go redownload it, configure it exactly the same as you did before, and run "make uninstall" - you will probably have to reinstall 2.6.2 again.
 
Old 02-27-2005, 03:42 PM   #3
jiml8
Senior Member
 
Registered: Sep 2003
Posts: 3,171

Rep: Reputation: 116Reputation: 116
sounds like you are doing exactly what I was doing yesterday. I just went through the same exercise to install streamtuner.

When I installed pygtk, I did a
Code:
 ./configure --disable-glibtest --disable-gtktest
and everything worked.
 
Old 02-28-2005, 12:43 AM   #4
tommygoober
LQ Newbie
 
Registered: Feb 2005
Distribution: Gentoo
Posts: 10

Original Poster
Rep: Reputation: 0
Thank you for your suggestions. The installation went on without a problem
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Uninstalling glib BeaverusIV Linux - Software 3 03-08-2006 08:44 PM
pkg-config and glib: Uninstalling Old and Installing New CooManChu Linux - Software 6 09-06-2005 04:35 PM
can't install gtk 2.4.4: "Requested 'glib-2.0 >= 2.4.0' but version of GLib is 2.2.3 webazoid Linux - Software 0 07-15-2004 07:07 PM
Difficult with Dependencies for the GIMP and uninstalling previous version of GLIB harryman100 Linux - Software 0 03-25-2004 03:42 AM
Uninstalling glib warkrime Linux - Newbie 4 07-16-2003 01:29 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 06:43 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration